-- ----------------------------
-- 1.修改`dc_blockloss_result`表-丢失原因字段长度为256
-- ----------------------------
ALTER TABLE `dc_blockloss_result` MODIFY COLUMN `loss_cause` varchar(256)  DEFAULT NULL COMMENT '丢失原因';
-- ----------------------------
-- 2.修改`dc_regular_info`表-描述字段 为选填
-- ----------------------------
ALTER TABLE `dc_regular_info` MODIFY COLUMN `description` varchar(512) DEFAULT NULL COMMENT '描述';
-- ----------------------------
-- 3.修改`dc_column_result`表-新增入院日期字段
-- ----------------------------
ALTER TABLE `dc_column_result`
ADD COLUMN `behospital_date`  datetime NULL DEFAULT NULL COMMENT '入院日期' AFTER `description`;
-- ----------------------------
-- 4.修改 `dc_nonnull_result`表-新增入院日期字段
-- ----------------------------
ALTER TABLE `dc_nonnull_result`
ADD COLUMN `behospital_date`  datetime NULL DEFAULT NULL COMMENT '入院日期' AFTER `description`;
-- ----------------------------
-- 5.修改`dc_standardvalue_result`表-新增入院日期字段
-- ----------------------------
ALTER TABLE `dc_standardvalue_result`
ADD COLUMN `behospital_date`  datetime NULL DEFAULT NULL COMMENT '入院日期' AFTER `description`;
-- ----------------------------
-- 6.修改`dc_regular_result`表-新增入院日期字段
-- ----------------------------
ALTER TABLE `dc_regular_result`
ADD COLUMN `behospital_date`  datetime NULL DEFAULT NULL COMMENT '入院日期' AFTER `description`;
-- ----------------------------
-- 7.新增`str_admission_note`表-新增主键
-- ----------------------------
ALTER TABLE `str_admission_note`
ADD COLUMN `id`  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id' FIRST ,
DROP PRIMARY KEY,
ADD PRIMARY KEY (`id`, `rec_id`, `hospital_id`, `behospital_code`);
-- ----------------------------
-- 8.新增`str_leave_hospital`表-新增主键
-- ----------------------------
ALTER TABLE `str_leave_hospital`
ADD COLUMN `id`  bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id' FIRST ,
DROP PRIMARY KEY,
ADD PRIMARY KEY (`id`, `rec_id`, `hospital_id`);
-- ----------------------------
-- 9.修改`dc_regular_result`表-regular_des字段默认为空
-- ----------------------------
ALTER TABLE `dc_regular_result`
MODIFY COLUMN `regular_des`  varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '正则式描述' AFTER `regular_val`;
-- ----------------------------
-- 10.修改`dc_column_result`表字段类型改为text
-- ----------------------------
ALTER TABLE `dc_column_result`
MODIFY COLUMN `table_val`  text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '表字段的值' AFTER `table_id`;
-- ----------------------------
-- 11.修改`dc_nonnull_result`表字段类型改为text
-- ----------------------------
ALTER TABLE `dc_nonnull_result`
MODIFY COLUMN `table_val`  text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '表字段的值' AFTER `table_id`;
-- ----------------------------
-- 12.修改`dc_regular_result`表字段类型改为text
-- ----------------------------
ALTER TABLE `dc_regular_result`
MODIFY COLUMN `table_val`  text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '表字段的值' AFTER `table_id`;
-- ----------------------------
-- 13.修改`dc_standardvalue_result`表字段类型改为text
-- ----------------------------
ALTER TABLE `dc_standardvalue_result`
MODIFY COLUMN `table_val`  text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '表字段的值' AFTER `table_id`;

-- ----------------------------
-- 14.修改`dc_regular_result`表-正则式值大小
-- ----------------------------
ALTER TABLE `dc_regular_result`
MODIFY COLUMN `regular_val`  varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '正则式值' AFTER `regular_name`;




